Changeset 1910


Ignore:
Timestamp:
Jan 26, 2013 9:00:13 PM (7 years ago)
Author:
stefan
Message:
  • add configure option --enable-aboca={1,2,3,4,yes,no}
  • compile Aboca source only if --enable-aboca set (instead of compiling empty source files)
  • fix svn properties
Location:
trunk
Files:
79 edited

Legend:

Unmodified
Added
Removed
  • trunk

    • Property svn:externals
      •  

        old new  
        77Data/Netlib       https://projects.coin-or.org/svn/Data/Netlib/stable/1.2
        88Data/Sample       https://projects.coin-or.org/svn/Data/Sample/stable/1.2
        9 CoinUtils         https://projects.coin-or.org/svn/CoinUtils/stable/2.8/CoinUtils
        10 Osi               https://projects.coin-or.org/svn/Osi/stable/0.105/Osi
         9CoinUtils         https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
         10Osi               https://projects.coin-or.org/svn/Osi/trunk/Osi
  • trunk/Clp/Makefile.in

    r1803 r1910  
    165165COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    166166COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
     167COIN_HAS_ABC_FALSE = @COIN_HAS_ABC_FALSE@
     168COIN_HAS_ABC_TRUE = @COIN_HAS_ABC_TRUE@
    167169COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    168170COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
  • trunk/Clp/configure

    r1885 r1910  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11181118                          disables deduction of Makefile dependencies from
    11191119                          package linker flags
     1120  --enable-aboca          enables build of Aboca solver (set to 1,2,3,4)
    11201121  --disable-amd-libcheck skip the link check at configuration time
    11211122  --disable-cholmod-libcheck
     
    59935994*-*-irix6*)
    59945995  # Find out which ABI we are using.
    5995   echo '#line 5995 "configure"' > conftest.$ac_ext
     5996  echo '#line 5996 "configure"' > conftest.$ac_ext
    59965997  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59975998  (eval $ac_compile) 2>&5
     
    71277128
    71287129# Provide some information about the compiler.
    7129 echo "$as_me:7129:" \
     7130echo "$as_me:7130:" \
    71307131     "checking for Fortran 77 compiler version" >&5
    71317132ac_compiler=`set X $ac_compile; echo $2`
     
    81948195   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81958196   -e 's:$: $lt_compiler_flag:'`
    8196    (eval echo "\"\$as_me:8196: $lt_compile\"" >&5)
     8197   (eval echo "\"\$as_me:8197: $lt_compile\"" >&5)
    81978198   (eval "$lt_compile" 2>conftest.err)
    81988199   ac_status=$?
    81998200   cat conftest.err >&5
    8200    echo "$as_me:8200: \$? = $ac_status" >&5
     8201   echo "$as_me:8201: \$? = $ac_status" >&5
    82018202   if (exit $ac_status) && test -s "$ac_outfile"; then
    82028203     # The compiler can only warn and ignore the option if not recognized
     
    84628463   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84638464   -e 's:$: $lt_compiler_flag:'`
    8464    (eval echo "\"\$as_me:8464: $lt_compile\"" >&5)
     8465   (eval echo "\"\$as_me:8465: $lt_compile\"" >&5)
    84658466   (eval "$lt_compile" 2>conftest.err)
    84668467   ac_status=$?
    84678468   cat conftest.err >&5
    8468    echo "$as_me:8468: \$? = $ac_status" >&5
     8469   echo "$as_me:8469: \$? = $ac_status" >&5
    84698470   if (exit $ac_status) && test -s "$ac_outfile"; then
    84708471     # The compiler can only warn and ignore the option if not recognized
     
    85668567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85678568   -e 's:$: $lt_compiler_flag:'`
    8568    (eval echo "\"\$as_me:8568: $lt_compile\"" >&5)
     8569   (eval echo "\"\$as_me:8569: $lt_compile\"" >&5)
    85698570   (eval "$lt_compile" 2>out/conftest.err)
    85708571   ac_status=$?
    85718572   cat out/conftest.err >&5
    8572    echo "$as_me:8572: \$? = $ac_status" >&5
     8573   echo "$as_me:8573: \$? = $ac_status" >&5
    85738574   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85748575   then
     
    1091110912  lt_status=$lt_dlunknown
    1091210913  cat > conftest.$ac_ext <<EOF
    10913 #line 10913 "configure"
     10914#line 10914 "configure"
    1091410915#include "confdefs.h"
    1091510916
     
    1101111012  lt_status=$lt_dlunknown
    1101211013  cat > conftest.$ac_ext <<EOF
    11013 #line 11013 "configure"
     11014#line 11014 "configure"
    1101411015#include "confdefs.h"
    1101511016
     
    1335513356   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1335613357   -e 's:$: $lt_compiler_flag:'`
    13357    (eval echo "\"\$as_me:13357: $lt_compile\"" >&5)
     13358   (eval echo "\"\$as_me:13358: $lt_compile\"" >&5)
    1335813359   (eval "$lt_compile" 2>conftest.err)
    1335913360   ac_status=$?
    1336013361   cat conftest.err >&5
    13361    echo "$as_me:13361: \$? = $ac_status" >&5
     13362   echo "$as_me:13362: \$? = $ac_status" >&5
    1336213363   if (exit $ac_status) && test -s "$ac_outfile"; then
    1336313364     # The compiler can only warn and ignore the option if not recognized
     
    1345913460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346013461   -e 's:$: $lt_compiler_flag:'`
    13461    (eval echo "\"\$as_me:13461: $lt_compile\"" >&5)
     13462   (eval echo "\"\$as_me:13462: $lt_compile\"" >&5)
    1346213463   (eval "$lt_compile" 2>out/conftest.err)
    1346313464   ac_status=$?
    1346413465   cat out/conftest.err >&5
    13465    echo "$as_me:13465: \$? = $ac_status" >&5
     13466   echo "$as_me:13466: \$? = $ac_status" >&5
    1346613467   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1346713468   then
     
    1502915030   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1503015031   -e 's:$: $lt_compiler_flag:'`
    15031    (eval echo "\"\$as_me:15031: $lt_compile\"" >&5)
     15032   (eval echo "\"\$as_me:15032: $lt_compile\"" >&5)
    1503215033   (eval "$lt_compile" 2>conftest.err)
    1503315034   ac_status=$?
    1503415035   cat conftest.err >&5
    15035    echo "$as_me:15035: \$? = $ac_status" >&5
     15036   echo "$as_me:15036: \$? = $ac_status" >&5
    1503615037   if (exit $ac_status) && test -s "$ac_outfile"; then
    1503715038     # The compiler can only warn and ignore the option if not recognized
     
    1513315134   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513415135   -e 's:$: $lt_compiler_flag:'`
    15135    (eval echo "\"\$as_me:15135: $lt_compile\"" >&5)
     15136   (eval echo "\"\$as_me:15136: $lt_compile\"" >&5)
    1513615137   (eval "$lt_compile" 2>out/conftest.err)
    1513715138   ac_status=$?
    1513815139   cat out/conftest.err >&5
    15139    echo "$as_me:15139: \$? = $ac_status" >&5
     15140   echo "$as_me:15140: \$? = $ac_status" >&5
    1514015141   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1514115142   then
     
    1734017341   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734117342   -e 's:$: $lt_compiler_flag:'`
    17342    (eval echo "\"\$as_me:17342: $lt_compile\"" >&5)
     17343   (eval echo "\"\$as_me:17343: $lt_compile\"" >&5)
    1734317344   (eval "$lt_compile" 2>conftest.err)
    1734417345   ac_status=$?
    1734517346   cat conftest.err >&5
    17346    echo "$as_me:17346: \$? = $ac_status" >&5
     17347   echo "$as_me:17347: \$? = $ac_status" >&5
    1734717348   if (exit $ac_status) && test -s "$ac_outfile"; then
    1734817349     # The compiler can only warn and ignore the option if not recognized
     
    1760817609   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1760917610   -e 's:$: $lt_compiler_flag:'`
    17610    (eval echo "\"\$as_me:17610: $lt_compile\"" >&5)
     17611   (eval echo "\"\$as_me:17611: $lt_compile\"" >&5)
    1761117612   (eval "$lt_compile" 2>conftest.err)
    1761217613   ac_status=$?
    1761317614   cat conftest.err >&5
    17614    echo "$as_me:17614: \$? = $ac_status" >&5
     17615   echo "$as_me:17615: \$? = $ac_status" >&5
    1761517616   if (exit $ac_status) && test -s "$ac_outfile"; then
    1761617617     # The compiler can only warn and ignore the option if not recognized
     
    1771217713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1771317714   -e 's:$: $lt_compiler_flag:'`
    17714    (eval echo "\"\$as_me:17714: $lt_compile\"" >&5)
     17715   (eval echo "\"\$as_me:17715: $lt_compile\"" >&5)
    1771517716   (eval "$lt_compile" 2>out/conftest.err)
    1771617717   ac_status=$?
    1771717718   cat out/conftest.err >&5
    17718    echo "$as_me:17718: \$? = $ac_status" >&5
     17719   echo "$as_me:17719: \$? = $ac_status" >&5
    1771917720   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1772017721   then
     
    2329623297
    2329723298#############################################################################
     23299#                                    Aboca                                  #
     23300#############################################################################
     23301
     23302#  1 - build Abc serial but no inherit code
     23303#  2 - build Abc serial and inherit code
     23304#  3 - build Abc cilk parallel but no inherit code
     23305#  4 - build Abc cilk parallel and inherit code
     23306# Check whether --enable-aboca or --disable-aboca was given.
     23307if test "${enable_aboca+set}" = set; then
     23308  enableval="$enable_aboca"
     23309  use_aboca=$enableval
     23310else
     23311  use_aboca=no
     23312fi;
     23313case "$use_aboca" in
     23314  yes)
     23315    use_aboca=1
     23316    ;&
     23317  1 | 2 | 3 | 4)
     23318
     23319cat >>confdefs.h <<_ACEOF
     23320#define CLP_HAS_ABC $use_aboca
     23321_ACEOF
     23322
     23323    ;;
     23324  no) ;;
     23325  *)
     23326    { { echo "$as_me:$LINENO: error: invalid argument for --enable-aboca: $use_aboca" >&5
     23327echo "$as_me: error: invalid argument for --enable-aboca: $use_aboca" >&2;}
     23328   { (exit 1); exit 1; }; }
     23329    ;;
     23330esac
     23331
     23332
     23333if test ! "$use_aboca" = no; then
     23334  COIN_HAS_ABC_TRUE=
     23335  COIN_HAS_ABC_FALSE='#'
     23336else
     23337  COIN_HAS_ABC_TRUE='#'
     23338  COIN_HAS_ABC_FALSE=
     23339fi
     23340
     23341
     23342#############################################################################
    2329823343#                        Third party linear solvers                         #
    2329923344#############################################################################
     
    2497025015
    2497125016# Provide some information about the compiler.
    24972 echo "$as_me:24972:" \
     25017echo "$as_me:25017:" \
    2497325018     "checking for Fortran 77 compiler version" >&5
    2497425019ac_compiler=`set X $ac_compile; echo $2`
     
    2553925584ac_save_FFLAGS=$FFLAGS
    2554025585FFLAGS="$FFLAGS $ac_verb"
    25541 (eval echo $as_me:25541: \"$ac_link\") >&5
     25586(eval echo $as_me:25586: \"$ac_link\") >&5
    2554225587ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2554325588echo "$ac_f77_v_output" >&5
     
    2561725662ac_save_FFLAGS=$FFLAGS
    2561825663FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25619 (eval echo $as_me:25619: \"$ac_link\") >&5
     25664(eval echo $as_me:25664: \"$ac_link\") >&5
    2562025665ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2562125666echo "$ac_f77_v_output" >&5
     
    3167731722Usually this means the macro was only invoked conditionally." >&5
    3167831723echo "$as_me: error: conditional \"COIN_HAS_NETLIB\" was never defined.
     31724Usually this means the macro was only invoked conditionally." >&2;}
     31725   { (exit 1); exit 1; }; }
     31726fi
     31727if test -z "${COIN_HAS_ABC_TRUE}" && test -z "${COIN_HAS_ABC_FALSE}"; then
     31728  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ABC\" was never defined.
     31729Usually this means the macro was only invoked conditionally." >&5
     31730echo "$as_me: error: conditional \"COIN_HAS_ABC\" was never defined.
    3167931731Usually this means the macro was only invoked conditionally." >&2;}
    3168031732   { (exit 1); exit 1; }; }
     
    3248132533s,@COIN_HAS_NETLIB_TRUE@,$COIN_HAS_NETLIB_TRUE,;t t
    3248232534s,@COIN_HAS_NETLIB_FALSE@,$COIN_HAS_NETLIB_FALSE,;t t
     32535s,@COIN_HAS_ABC_TRUE@,$COIN_HAS_ABC_TRUE,;t t
     32536s,@COIN_HAS_ABC_FALSE@,$COIN_HAS_ABC_FALSE,;t t
    3248332537s,@AMDINCDIR@,$AMDINCDIR,;t t
    3248432538s,@AMDLIB@,$AMDLIB,;t t
  • trunk/Clp/configure.ac

    r1751 r1910  
    6565AC_COIN_CHECK_PACKAGE(Sample,    [coindatasample])
    6666AC_COIN_CHECK_PACKAGE(Netlib,    [coindatanetlib])
     67
     68#############################################################################
     69#                                    Aboca                                  #
     70#############################################################################
     71
     72#  1 - build Abc serial but no inherit code
     73#  2 - build Abc serial and inherit code
     74#  3 - build Abc cilk parallel but no inherit code
     75#  4 - build Abc cilk parallel and inherit code
     76AC_ARG_ENABLE([aboca],
     77              [AC_HELP_STRING([--enable-aboca],[enables build of Aboca solver (set to 1,2,3,4)])],
     78              [use_aboca=$enableval],
     79              [use_aboca=no])
     80case "$use_aboca" in
     81  yes)
     82    use_aboca=1
     83    ;&
     84  1 | 2 | 3 | 4)
     85    AC_DEFINE_UNQUOTED([CLP_HAS_ABC], [$use_aboca], [Define to 1, 2, 3, or 4 if Aboca should be build.])
     86    ;;
     87  no) ;;
     88  *)
     89    AC_MSG_ERROR([invalid argument for --enable-aboca: $use_aboca])
     90    ;;
     91esac
     92AM_CONDITIONAL(COIN_HAS_ABC, test ! "$use_aboca" = no)
    6793
    6894#############################################################################
     
    171197                 clp.pc
    172198                 clp-uninstalled.pc])
    173                  
     199
    174200if test $coin_has_osi = yes ; then
    175201  AC_CONFIG_FILES([osi-clp.pc:src/OsiClp/osi-clp.pc.in
  • trunk/Clp/src/AbcCommon.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcCommon.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2003, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
     
    1111#ifndef AbcCommon_H
    1212#define AbcCommon_H
     13
     14#include "ClpConfig.h"
     15
    1316/*
    1417  0 - off
     
    1821  4 - build Abc cilk parallel and inherit code
    1922 */
    20 #if CLP_HAS_ABC
     23#ifdef CLP_HAS_ABC
    2124#if CLP_HAS_ABC==1
    2225#ifndef ABC_PARALLEL
  • trunk/Clp/src/AbcDualRowDantzig.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcDualRowDantzig.cpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
     6
    77#include "CoinPragma.hpp"
    88#include "AbcSimplex.hpp"
     
    418418  }
    419419}
    420 
    421 #endif
  • trunk/Clp/src/AbcDualRowDantzig.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcDualRowDantzig.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcDualRowPivot.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcDualRowPivot.cpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinPragma.hpp"
    87#include "AbcSimplex.hpp"
     
    8281{
    8382}
    84 #endif
  • trunk/Clp/src/AbcDualRowPivot.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcDualRowPivot.hpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcDualRowSteepest.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcDualRowSteepest.cpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65
    76#include "CoinPragma.hpp"
     
    14661465  return (numberInfeasible == 0);
    14671466}
    1468 #endif
  • trunk/Clp/src/AbcDualRowSteepest.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcDualRowSteepest.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcMatrix.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcMatrix.cpp 1780 2011-08-11 07:15:40Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
     
    66
    77
    8 #if CLP_HAS_ABC
    98#include <cstdio>
    109#include "CoinPragma.hpp"
     
    35913590  return column_;
    35923591}
    3593 #endif
  • trunk/Clp/src/AbcMatrix.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcMatrix.hpp 1825 2011-11-20 16:02:57Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcNonLinearCost.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcNonLinearCost.cpp 1769 2011-07-26 09:31:51Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinPragma.hpp"
    87#include <iostream>
     
    981980}
    982981#endif
    983 #endif
  • trunk/Clp/src/AbcNonLinearCost.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcNonLinearCost.hpp 1769 2011-07-26 09:31:51Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcPrimalColumnDantzig.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcPrimalColumnDantzig.cpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinPragma.hpp"
    87
     
    287286     }
    288287}
    289 
    290 #endif
  • trunk/Clp/src/AbcPrimalColumnDantzig.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcPrimalColumnDantzig.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcPrimalColumnPivot.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcPrimalColumnPivot.cpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinPragma.hpp"
    87
     
    8786{
    8887}
    89 #endif
  • trunk/Clp/src/AbcPrimalColumnPivot.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcPrimalColumnPivot.hpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcPrimalColumnSteepest.cpp

    • Property svn:keywords set to Id
    r1879 r1910  
    1 /* $Id: AbcPrimalColumnSteepest.cpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinPragma.hpp"
    87
     
    22862285     return bestSequence;
    22872286}
    2288 #endif
  • trunk/Clp/src/AbcPrimalColumnSteepest.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcPrimalColumnSteepest.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcSimplex.cpp

    • Property svn:keywords set to Id
    r1879 r1910  
    1 /* $Id: AbcSimplex.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2000, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 
    6 //#undef NDEBUG
    7 #if CLP_HAS_ABC
    85
    96#include "ClpConfig.h"
     
    171168AbcSimplex::gutsOfCopy(const AbcSimplex & rhs)
    172169{
     170#ifdef ABC_INHERIT
    173171  abcSimplex_=this;
     172#endif
    174173  assert (numberRows_ == rhs.numberRows_);
    175174  assert (numberColumns_ == rhs.numberColumns_);
     
    318317AbcSimplex::gutsOfInitialize(int numberRows,int numberColumns,bool doMore)
    319318{
     319#ifdef ABC_INHERIT
    320320  abcSimplex_=this;
     321#endif
    321322  // Zero all
    322323  CoinAbcMemset0(&sumNonBasicCosts_,(reinterpret_cast<double *>(&usefulArray_[0])-&sumNonBasicCosts_));
     
    35833584// dual
    35843585#include "AbcSimplexDual.hpp"
     3586#ifdef ABC_INHERIT
    35853587// Returns 0 if dual can be skipped
    35863588int
     
    36683670  }
    36693671}
     3672#endif
    36703673#include "AbcSimplexPrimal.hpp"
    36713674// Do dual (return 1 if cleanup needed)
     
    39163919  return returnCode;
    39173920}
     3921#ifdef ABC_INHERIT
    39183922// primal
    39193923// Returns 0 if primal can be skipped
     
    40114015  }
    40124016}
     4017#endif
    40134018// Do primal (return 1 if cleanup needed)
    40144019int
     
    58765881  if (!model_)
    58775882    return -1;
     5883#ifdef ABC_INHERIT
    58785884  AbcSimplex * model = model_->abcSimplex();
     5885#else
     5886  AbcSimplex * model;
     5887  return -1;
     5888#endif
    58795889  double objective = model->rawObjectiveValue();
    58805890  if (model->algorithm() < 0)
     
    61106120}
    61116121#endif
    6112 #endif
  • trunk/Clp/src/AbcSimplex.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcSimplex.hpp 1831 2011-12-05 14:42:00Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcSimplexDual.cpp

    • Property svn:keywords set to Id
    r1880 r1910  
    1 /* $Id: AbcSimplexDual.cpp 1785 2011-08-25 10:17:49Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 
    6 #if CLP_HAS_ABC
    75
    86/* Notes on implementation of dual simplex algorithm.
     
    61256123  return problemStatus_;
    61266124}
    6127 #endif
  • trunk/Clp/src/AbcSimplexDual.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcSimplexDual.hpp 1761 2011-07-06 16:06:24Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcSimplexFactorization.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcSimplexFactorization.cpp 1732 2011-05-31 08:09:41Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65#define USE_DENSE_FAC -1
    76#define USE_SMALL_FAC 200
     
    612611  AbcSimplexFactorization::operator=(rhs);
    613612}
    614 #endif
  • trunk/Clp/src/AbcSimplexFactorization.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcSimplexFactorization.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcSimplexParallel.cpp

    • Property svn:keywords set to Id
    r1879 r1910  
    1 /* $Id: AbcSimplexTemp.cpp 1785 2011-08-25 10:17:49Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
     
    66
    77#include <math.h>
    8 #if CLP_HAS_ABC
    98#include "CoinHelperFunctions.hpp"
    109#include "CoinAbcHelperFunctions.hpp"
     
    32603259}
    32613260#endif
    3262 #endif
  • trunk/Clp/src/AbcSimplexPrimal.cpp

    • Property svn:keywords set to Id
    r1879 r1910  
    1 /* $Id: AbcSimplexPrimal.cpp 1769 2011-07-26 09:31:51Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
     
    7878*/
    7979
    80 
    81 #if CLP_HAS_ABC
    8280#include "CoinPragma.hpp"
    8381
     
    42644262  }
    42654263}
    4266 #endif
  • trunk/Clp/src/AbcSimplexPrimal.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcSimplexPrimal.hpp 1665 2011-01-04 17:55:54Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/AbcWarmStart.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcWarmStart.cpp 1515 2011-12-10 23:38:04Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    7 #if defined(_MSC_VER)
    8 // Turn off compiler warning about long names
    9 #  pragma warning(disable:4786)
    10 #endif
    11 
     6#include "CoinPragma.hpp"
    127#include "CoinUtilsConfig.h"
    138#include <cassert>
     
    166161  delete[] extraInformation_;
    167162}
    168 #endif
  • trunk/Clp/src/AbcWarmStart.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: AbcWarmStart.hpp 1515 2011-12-10 23:38:04Z lou $ */
     1/* $Id$ */
    22/*! \legal
    33  Copyright (C) 2002, International Business Machines
  • trunk/Clp/src/CbcOrClpParam.cpp

    r1909 r1910  
    4444#endif
    4545#endif
    46 #if CLP_HAS_ABC
     46#include "ClpConfig.h"
     47#ifdef CLP_HAS_ABC
    4748#include "AbcCommon.hpp"
    4849#endif
  • trunk/Clp/src/ClpCholeskyDense.cpp

    • Property svn:keywords changed from Author Date Id Revision to Id
    r1878 r1910  
    88#include "CoinPragma.hpp"
    99#include "CoinHelperFunctions.hpp"
     10#include "ClpConfig.h"
    1011#include "ClpHelperFunctions.hpp"
    11 
    1212#include "ClpInterior.hpp"
    1313#include "ClpCholeskyDense.hpp"
  • trunk/Clp/src/ClpCholeskyDense.hpp

    • Property svn:keywords changed from Author Date Id Revision to Id
  • trunk/Clp/src/ClpMain.cpp

    r1878 r1910  
    3737#endif
    3838
    39 #if CLP_HAS_ABC
    4039#include "AbcCommon.hpp"
    41 #endif
    4240#include "ClpFactorization.hpp"
    4341#include "CoinTime.hpp"
  • trunk/Clp/src/ClpNode.cpp

    • Property svn:executable deleted
  • trunk/Clp/src/ClpNode.hpp

    • Property svn:executable deleted
  • trunk/Clp/src/ClpPresolve.cpp

    r1900 r1910  
    1313
    1414#include "CoinHelperFunctions.hpp"
    15 #if CLP_HAS_ABC
     15#include "ClpConfig.h"
     16#ifdef CLP_HAS_ABC
    1617#include "CoinAbcCommon.hpp"
    1718#endif
  • trunk/Clp/src/ClpSimplex.hpp

    r1879 r1910  
    2828class ClpDisasterHandler;
    2929class ClpConstraint;
    30 #if CLP_HAS_ABC
    3130#include "AbcCommon.hpp"
     31#ifdef CLP_HAS_ABC
    3232class AbcTolerancesEtc;
    3333class AbcSimplex;
     
    16451645#define CLP_ABC_WANTED_PARALLEL 2
    16461646#define CLP_ABC_FULL_DONE 8
    1647 #define CLP_ABC_BEEN_FEASIBLE 65536
    16481647  // bits 256,512,1024 for crash
    16491648#endif
     1649#define CLP_ABC_BEEN_FEASIBLE 65536
    16501650  int abcState_;
    16511651public:
  • trunk/Clp/src/ClpSolve.hpp

    r1878 r1910  
    385385     //@}
    386386};
     387
     388#include "ClpConfig.h"
    387389#if CLP_HAS_ABC
    388390#include "AbcCommon.hpp"
  • trunk/Clp/src/CoinAbcBaseFactorization.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcBaseFactorization.hpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/CoinAbcBaseFactorization1.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcBaseFactorization1.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65#ifdef ABC_JUST_ONE_FACTORIZATION
    76#include "CoinAbcCommonFactorization.hpp"
     
    47304729#endif
    47314730#endif
    4732 #endif
  • trunk/Clp/src/CoinAbcBaseFactorization2.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcBaseFactorization2.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65#ifdef ABC_JUST_ONE_FACTORIZATION
    76#include "CoinAbcCommonFactorization.hpp"
     
    13901389#endif
    13911390#endif
    1392 #endif
  • trunk/Clp/src/CoinAbcBaseFactorization3.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcBaseFactorization3.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #ifdef CLP_HAS_ABC
    65#ifdef ABC_JUST_ONE_FACTORIZATION
    76#include "CoinAbcCommonFactorization.hpp"
     
    26872686}
    26882687#endif
    2689 #endif
  • trunk/Clp/src/CoinAbcBaseFactorization4.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcBaseFactorization4.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65#ifdef ABC_JUST_ONE_FACTORIZATION
    76#include "CoinAbcCommonFactorization.hpp"
     
    46564655#endif
    46574656#endif
    4658 #endif
  • trunk/Clp/src/CoinAbcBaseFactorization5.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcBaseFactorization5.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65#ifdef ABC_JUST_ONE_FACTORIZATION
    76#include "CoinAbcCommonFactorization.hpp"
     
    802801#endif
    803802#endif
    804 #endif
  • trunk/Clp/src/CoinAbcCommon.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcCommon.hpp.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2000, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
     
    55#ifndef CoinAbcCommon_H
    66#define CoinAbcCommon_H
    7 #if defined(_MSC_VER)
    8 // Turn off compiler warning about long names
    9 #  pragma warning(disable:4786)
    10 #endif
    117#ifndef COIN_FAC_NEW
    128#define COIN_FAC_NEW
    139#endif
    1410
     11#include "CoinPragma.hpp"
    1512#include "CoinUtilsConfig.h"
    1613#include <iostream>
  • trunk/Clp/src/CoinAbcCommonFactorization.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcCommonFactorization.hpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2000, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
     
    55#ifndef CoinAbcCommonFactorization_H
    66#define CoinAbcCommonFactorization_H
    7 #if defined(_MSC_VER)
    8 // Turn off compiler warning about long names
    9 #  pragma warning(disable:4786)
    10 #endif
    117/* meaning of ABC_SMALL
    128   -1 force copies (and no tests)
  • trunk/Clp/src/CoinAbcDenseFactorization.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcDenseFactorization.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2008, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
    65
    76#include "CoinUtilsConfig.h"
     
    823822CoinAbcAnyFactorization::setUsefulInformation(const int * ,int )
    824823{ }
    825 #endif
  • trunk/Clp/src/CoinAbcDenseFactorization.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcDenseFactorization.hpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2008, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/CoinAbcFactorization.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcFactorization.hpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/CoinAbcFactorization1.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcFactorization1.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization1.cpp"
    1312#endif
    14 #endif
  • trunk/Clp/src/CoinAbcFactorization2.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcFactorization2.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization2.cpp"
    1312#endif
    14 #endif
  • trunk/Clp/src/CoinAbcFactorization3.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcFactorization3.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization3.cpp"
    1312#endif
    14 #endif
  • trunk/Clp/src/CoinAbcFactorization4.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcFactorization4.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization4.cpp"
    1312#endif
    14 #endif
  • trunk/Clp/src/CoinAbcFactorization5.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcFactorization5.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization5.cpp"
    1312#endif
    14 #endif
    1513
  • trunk/Clp/src/CoinAbcHelperFunctions.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcHelperFunctions.cpp 1817 2011-11-03 09:26:23Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2003, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include <cfloat>
    87#include <cstdlib>
     
    20152014  return true; 
    20162015}
    2017 #endif
  • trunk/Clp/src/CoinAbcHelperFunctions.hpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcHelperFunctions.hpp 1817 2011-11-03 09:26:23Z forrest $ */
     1/* $Id$ */
    22// Copyright (C) 2003, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
  • trunk/Clp/src/CoinAbcOrderedFactorization1.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcOrderedFactorization1.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1312#include "CoinAbcBaseFactorization1.cpp"
    1413#endif
    15 #endif
  • trunk/Clp/src/CoinAbcOrderedFactorization2.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcOrderedFactorization2.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1312#include "CoinAbcBaseFactorization2.cpp"
    1413#endif
    15 #endif
  • trunk/Clp/src/CoinAbcOrderedFactorization3.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcOrderedFactorization3.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1312#include "CoinAbcBaseFactorization3.cpp"
    1413#endif
    15 #endif
  • trunk/Clp/src/CoinAbcOrderedFactorization4.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcOrderedFactorization4.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1312#include "CoinAbcBaseFactorization4.cpp"
    1413#endif
    15 #endif
  • trunk/Clp/src/CoinAbcOrderedFactorization5.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcOrderedFactorization5.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1312#include "CoinAbcBaseFactorization5.cpp"
    1413#endif
    15 #endif
    16 
  • trunk/Clp/src/CoinAbcSmallFactorization1.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcSmallFactorization1.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization1.cpp"
    1312#endif
    14 #endif
    15 
  • trunk/Clp/src/CoinAbcSmallFactorization2.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcSmallFactorization2.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization2.cpp"
    1312#endif
    14 #endif
  • trunk/Clp/src/CoinAbcSmallFactorization3.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcSmallFactorization3.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1211#include "CoinAbcBaseFactorization3.cpp"
    1312#endif
    14 #endif
  • trunk/Clp/src/CoinAbcSmallFactorization4.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcSmallFactorization4.cpp 1373 2011-01-03 23:57:44Z lou $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    55
    6 #if CLP_HAS_ABC
    76#include "CoinAbcCommonFactorization.hpp"
    87#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1413#include "CoinAbcBaseFactorization4.cpp"
    1514#endif
    16 #endif
  • trunk/Clp/src/CoinAbcSmallFactorization5.cpp

    • Property svn:keywords set to Id
    r1878 r1910  
    1 /* $Id: CoinAbcSmallFactorization5.cpp 1448 2011-06-19 15:34:41Z stefan $ */
     1/* $Id$ */
    22// Copyright (C) 2002, International Business Machines
    33// Corporation and others, Copyright (C) 2012, FasterCoin.  All Rights Reserved.
    44// This code is licensed under the terms of the Eclipse Public License (EPL).
    5 #if CLP_HAS_ABC
     5
    66#include "CoinAbcCommonFactorization.hpp"
    77#ifndef ABC_JUST_ONE_FACTORIZATION
     
    1111#include "CoinAbcBaseFactorization5.cpp"
    1212#endif
    13 #endif
  • trunk/Clp/src/Idiot.cpp

    r1878 r1910  
    1515#include "CoinMessageHandler.hpp"
    1616#include "CoinHelperFunctions.hpp"
    17 #if CLP_HAS_ABC
    1817#include "AbcCommon.hpp"
    19 #endif
    2018// Redefine stuff for Clp
    2119#ifndef OSI_IDIOT
  • trunk/Clp/src/Makefile.am

    r1878 r1910  
    6969        ClpSimplexPrimal.cpp ClpSimplexPrimal.hpp \
    7070        ClpSolve.cpp ClpSolve.hpp \
     71        Idiot.cpp Idiot.hpp \
     72        IdiSolve.cpp
     73
     74if COIN_HAS_ABC
     75libClp_la_SOURCES += \
     76        AbcCommon.hpp \
     77        AbcDualRowDantzig.cpp AbcDualRowDantzig.hpp \
     78        AbcDualRowPivot.cpp AbcDualRowPivot.hpp \
     79        AbcDualRowSteepest.cpp AbcDualRowSteepest.hpp \
     80        AbcMatrix.cpp AbcMatrix.hpp \
     81        AbcNonLinearCost.cpp AbcNonLinearCost.hpp \
     82        AbcPrimalColumnDantzig.cpp AbcPrimalColumnDantzig.hpp \
     83        AbcPrimalColumnPivot.cpp AbcPrimalColumnPivot.hpp \
     84        AbcPrimalColumnSteepest.cpp AbcPrimalColumnSteepest.hpp \
     85        AbcSimplex.cpp AbcSimplex.hpp \
     86        AbcSimplexDual.cpp AbcSimplexDual.hpp \
     87        AbcSimplexPrimal.cpp AbcSimplexPrimal.hpp \
     88        AbcSimplexParallel.cpp \
     89        AbcSimplexFactorization.cpp AbcSimplexFactorization.hpp \
    7190        AbcWarmStart.cpp AbcWarmStart.hpp \
    7291        CoinAbcBaseFactorization.hpp \
    73         CoinAbcCommonFactorization.hpp \
    74         CoinAbcCommon.hpp \
    75         AbcDualRowDantzig.hpp \
    76         AbcDualRowPivot.hpp \
    77         AbcDualRowSteepest.hpp \
    78         CoinAbcFactorization.hpp \
    79         CoinAbcHelperFunctions.hpp \
    80         AbcMatrix.hpp \
    81         AbcCommon.hpp \
    82         AbcSimplexDual.hpp \
    83         AbcSimplexPrimal.hpp \
    84         AbcSimplex.hpp \
    8592        CoinAbcBaseFactorization1.cpp \
    8693        CoinAbcBaseFactorization2.cpp \
     
    8895        CoinAbcBaseFactorization4.cpp \
    8996        CoinAbcBaseFactorization5.cpp \
     97        CoinAbcCommonFactorization.hpp \
     98        CoinAbcCommon.hpp \
    9099        CoinAbcDenseFactorization.cpp \
    91100        CoinAbcDenseFactorization.hpp \
    92         AbcDualRowDantzig.cpp \
    93         AbcDualRowPivot.cpp \
    94         AbcDualRowSteepest.cpp \
     101        CoinAbcFactorization.hpp \
    95102        CoinAbcFactorization1.cpp \
    96103        CoinAbcFactorization2.cpp \
     
    98105        CoinAbcFactorization4.cpp \
    99106        CoinAbcFactorization5.cpp \
    100         CoinAbcHelperFunctions.cpp \
    101         AbcMatrix.cpp \
    102         AbcSimplex.cpp \
    103         AbcSimplexDual.cpp \
    104         AbcSimplexPrimal.cpp \
    105         AbcSimplexParallel.cpp \
    106         AbcPrimalColumnDantzig.cpp AbcPrimalColumnDantzig.hpp \
    107         AbcPrimalColumnPivot.cpp AbcPrimalColumnPivot.hpp \
    108         AbcPrimalColumnSteepest.cpp AbcPrimalColumnSteepest.hpp \
    109         CoinAbcSmallFactorization1.cpp \
    110         CoinAbcSmallFactorization2.cpp \
    111         CoinAbcSmallFactorization3.cpp \
    112         CoinAbcSmallFactorization4.cpp \
    113         CoinAbcSmallFactorization5.cpp \
     107        CoinAbcHelperFunctions.cpp CoinAbcHelperFunctions.hpp \
    114108        CoinAbcOrderedFactorization1.cpp \
    115109        CoinAbcOrderedFactorization2.cpp \
     
    117111        CoinAbcOrderedFactorization4.cpp \
    118112        CoinAbcOrderedFactorization5.cpp \
    119         AbcSimplexFactorization.cpp \
    120         AbcSimplexFactorization.hpp \
    121         AbcNonLinearCost.cpp AbcNonLinearCost.hpp \
    122         Idiot.cpp Idiot.hpp \
    123         IdiSolve.cpp
     113        CoinAbcSmallFactorization1.cpp \
     114        CoinAbcSmallFactorization2.cpp \
     115        CoinAbcSmallFactorization3.cpp \
     116        CoinAbcSmallFactorization4.cpp \
     117        CoinAbcSmallFactorization5.cpp
     118endif
    124119
    125120# if AMD, CHOLMOD, or GLPK is available, then compile ClpCholeskyUfl.cpp
     
    236231        ClpSolve.hpp \
    237232        CbcOrClpParam.hpp \
    238         AbcSimplex.hpp CoinAbcCommon.hpp AbcCommon.hpp \
    239233        Idiot.hpp
     234
     235if COIN_HAS_ABC
     236includecoin_HEADERS += AbcSimplex.hpp CoinAbcCommon.hpp AbcCommon.hpp
     237endif
    240238
    241239
  • trunk/Clp/src/Makefile.in

    r1878 r1910  
    4545build_triplet = @build@
    4646host_triplet = @host@
     47@COIN_HAS_ABC_TRUE@am__append_1 = \
     48@COIN_HAS_ABC_TRUE@     AbcCommon.hpp \
     49@COIN_HAS_ABC_TRUE@     AbcDualRowDantzig.cpp AbcDualRowDantzig.hpp \
     50@COIN_HAS_ABC_TRUE@     AbcDualRowPivot.cpp AbcDualRowPivot.hpp \
     51@COIN_HAS_ABC_TRUE@     AbcDualRowSteepest.cpp AbcDualRowSteepest.hpp \
     52@COIN_HAS_ABC_TRUE@     AbcMatrix.cpp AbcMatrix.hpp \
     53@COIN_HAS_ABC_TRUE@     AbcNonLinearCost.cpp AbcNonLinearCost.hpp \
     54@COIN_HAS_ABC_TRUE@     AbcPrimalColumnDantzig.cpp AbcPrimalColumnDantzig.hpp \
     55@COIN_HAS_ABC_TRUE@     AbcPrimalColumnPivot.cpp AbcPrimalColumnPivot.hpp \
     56@COIN_HAS_ABC_TRUE@     AbcPrimalColumnSteepest.cpp AbcPrimalColumnSteepest.hpp \
     57@COIN_HAS_ABC_TRUE@     AbcSimplex.cpp AbcSimplex.hpp \
     58@COIN_HAS_ABC_TRUE@     AbcSimplexDual.cpp AbcSimplexDual.hpp \
     59@COIN_HAS_ABC_TRUE@     AbcSimplexPrimal.cpp AbcSimplexPrimal.hpp \
     60@COIN_HAS_ABC_TRUE@     AbcSimplexParallel.cpp \
     61@COIN_HAS_ABC_TRUE@     AbcSimplexFactorization.cpp AbcSimplexFactorization.hpp \
     62@COIN_HAS_ABC_TRUE@     AbcWarmStart.cpp AbcWarmStart.hpp \
     63@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization.hpp \
     64@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization1.cpp \
     65@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization2.cpp \
     66@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization3.cpp \
     67@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization4.cpp \
     68@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization5.cpp \
     69@COIN_HAS_ABC_TRUE@     CoinAbcCommonFactorization.hpp \
     70@COIN_HAS_ABC_TRUE@     CoinAbcCommon.hpp \
     71@COIN_HAS_ABC_TRUE@     CoinAbcDenseFactorization.cpp \
     72@COIN_HAS_ABC_TRUE@     CoinAbcDenseFactorization.hpp \
     73@COIN_HAS_ABC_TRUE@     CoinAbcFactorization.hpp \
     74@COIN_HAS_ABC_TRUE@     CoinAbcFactorization1.cpp \
     75@COIN_HAS_ABC_TRUE@     CoinAbcFactorization2.cpp \
     76@COIN_HAS_ABC_TRUE@     CoinAbcFactorization3.cpp \
     77@COIN_HAS_ABC_TRUE@     CoinAbcFactorization4.cpp \
     78@COIN_HAS_ABC_TRUE@     CoinAbcFactorization5.cpp \
     79@COIN_HAS_ABC_TRUE@     CoinAbcHelperFunctions.cpp CoinAbcHelperFunctions.hpp \
     80@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization1.cpp \
     81@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization2.cpp \
     82@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization3.cpp \
     83@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization4.cpp \
     84@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization5.cpp \
     85@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization1.cpp \
     86@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization2.cpp \
     87@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization3.cpp \
     88@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization4.cpp \
     89@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization5.cpp
     90
    4791
    4892# if AMD, CHOLMOD, or GLPK is available, then compile ClpCholeskyUfl.cpp
    49 @COIN_HAS_AMD_TRUE@am__append_1 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
    50 @COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__append_2 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
    51 @COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__append_3 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
    52 @COIN_HAS_MUMPS_TRUE@am__append_4 = ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp
    53 @COIN_HAS_WSMP_TRUE@am__append_5 = ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp
     93@COIN_HAS_AMD_TRUE@am__append_2 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
     94@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__append_3 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
     95@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__append_4 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
     96@COIN_HAS_MUMPS_TRUE@am__append_5 = ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp
     97@COIN_HAS_WSMP_TRUE@am__append_6 = ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp
    5498bin_PROGRAMS = clp$(EXEEXT)
    55 @COIN_HAS_CHOLMOD_TRUE@am__append_6 = -I`$(CYGPATH_W) $(CHOLMODINCDIR)`
    56 @COIN_HAS_AMD_TRUE@am__append_7 = -I`$(CYGPATH_W) $(AMDINCDIR)`
     99@COIN_HAS_CHOLMOD_TRUE@am__append_7 = -I`$(CYGPATH_W) $(CHOLMODINCDIR)`
     100@COIN_HAS_AMD_TRUE@am__append_8 = -I`$(CYGPATH_W) $(AMDINCDIR)`
     101@COIN_HAS_ABC_TRUE@am__append_9 = AbcSimplex.hpp CoinAbcCommon.hpp AbcCommon.hpp
    57102
    58103# if AMD, CHOLMOD, or GLPK is available, then install ClpCholeskyUfl.hpp (for advanced users)
    59 @COIN_HAS_AMD_TRUE@am__append_8 = ClpCholeskyUfl.hpp
    60 @COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__append_9 = ClpCholeskyUfl.hpp
    61 @COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__append_10 = ClpCholeskyUfl.hpp
    62 @COIN_HAS_MUMPS_TRUE@am__append_11 = ClpCholeskyMumps.hpp
    63 @COIN_HAS_WSMP_TRUE@am__append_12 = ClpCholeskyWssmp.hpp ClpCholeskyWssmpKKT.hpp
     104@COIN_HAS_AMD_TRUE@am__append_10 = ClpCholeskyUfl.hpp
     105@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__append_11 = ClpCholeskyUfl.hpp
     106@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__append_12 = ClpCholeskyUfl.hpp
     107@COIN_HAS_MUMPS_TRUE@am__append_13 = ClpCholeskyMumps.hpp
     108@COIN_HAS_WSMP_TRUE@am__append_14 = ClpCholeskyWssmp.hpp ClpCholeskyWssmpKKT.hpp
    64109subdir = src
    65110DIST_COMMON = $(am__includecoin_HEADERS_DIST) $(srcdir)/Makefile.am \
     
    118163        ClpSimplexNonlinear.hpp ClpSimplexOther.cpp \
    119164        ClpSimplexOther.hpp ClpSimplexPrimal.cpp ClpSimplexPrimal.hpp \
    120         ClpSolve.cpp ClpSolve.hpp AbcWarmStart.cpp AbcWarmStart.hpp \
    121         CoinAbcBaseFactorization.hpp CoinAbcCommonFactorization.hpp \
    122         CoinAbcCommon.hpp AbcDualRowDantzig.hpp AbcDualRowPivot.hpp \
    123         AbcDualRowSteepest.hpp CoinAbcFactorization.hpp \
    124         CoinAbcHelperFunctions.hpp AbcMatrix.hpp AbcCommon.hpp \
    125         AbcSimplexDual.hpp AbcSimplexPrimal.hpp AbcSimplex.hpp \
    126         CoinAbcBaseFactorization1.cpp CoinAbcBaseFactorization2.cpp \
    127         CoinAbcBaseFactorization3.cpp CoinAbcBaseFactorization4.cpp \
    128         CoinAbcBaseFactorization5.cpp CoinAbcDenseFactorization.cpp \
    129         CoinAbcDenseFactorization.hpp AbcDualRowDantzig.cpp \
    130         AbcDualRowPivot.cpp AbcDualRowSteepest.cpp \
    131         CoinAbcFactorization1.cpp CoinAbcFactorization2.cpp \
    132         CoinAbcFactorization3.cpp CoinAbcFactorization4.cpp \
    133         CoinAbcFactorization5.cpp CoinAbcHelperFunctions.cpp \
    134         AbcMatrix.cpp AbcSimplex.cpp AbcSimplexDual.cpp \
    135         AbcSimplexPrimal.cpp AbcSimplexParallel.cpp \
     165        ClpSolve.cpp ClpSolve.hpp Idiot.cpp Idiot.hpp IdiSolve.cpp \
     166        AbcCommon.hpp AbcDualRowDantzig.cpp AbcDualRowDantzig.hpp \
     167        AbcDualRowPivot.cpp AbcDualRowPivot.hpp AbcDualRowSteepest.cpp \
     168        AbcDualRowSteepest.hpp AbcMatrix.cpp AbcMatrix.hpp \
     169        AbcNonLinearCost.cpp AbcNonLinearCost.hpp \
    136170        AbcPrimalColumnDantzig.cpp AbcPrimalColumnDantzig.hpp \
    137171        AbcPrimalColumnPivot.cpp AbcPrimalColumnPivot.hpp \
    138172        AbcPrimalColumnSteepest.cpp AbcPrimalColumnSteepest.hpp \
    139         CoinAbcSmallFactorization1.cpp CoinAbcSmallFactorization2.cpp \
    140         CoinAbcSmallFactorization3.cpp CoinAbcSmallFactorization4.cpp \
    141         CoinAbcSmallFactorization5.cpp \
     173        AbcSimplex.cpp AbcSimplex.hpp AbcSimplexDual.cpp \
     174        AbcSimplexDual.hpp AbcSimplexPrimal.cpp AbcSimplexPrimal.hpp \
     175        AbcSimplexParallel.cpp AbcSimplexFactorization.cpp \
     176        AbcSimplexFactorization.hpp AbcWarmStart.cpp AbcWarmStart.hpp \
     177        CoinAbcBaseFactorization.hpp CoinAbcBaseFactorization1.cpp \
     178        CoinAbcBaseFactorization2.cpp CoinAbcBaseFactorization3.cpp \
     179        CoinAbcBaseFactorization4.cpp CoinAbcBaseFactorization5.cpp \
     180        CoinAbcCommonFactorization.hpp CoinAbcCommon.hpp \
     181        CoinAbcDenseFactorization.cpp CoinAbcDenseFactorization.hpp \
     182        CoinAbcFactorization.hpp CoinAbcFactorization1.cpp \
     183        CoinAbcFactorization2.cpp CoinAbcFactorization3.cpp \
     184        CoinAbcFactorization4.cpp CoinAbcFactorization5.cpp \
     185        CoinAbcHelperFunctions.cpp CoinAbcHelperFunctions.hpp \
    142186        CoinAbcOrderedFactorization1.cpp \
    143187        CoinAbcOrderedFactorization2.cpp \
    144188        CoinAbcOrderedFactorization3.cpp \
    145189        CoinAbcOrderedFactorization4.cpp \
    146         CoinAbcOrderedFactorization5.cpp AbcSimplexFactorization.cpp \
    147         AbcSimplexFactorization.hpp AbcNonLinearCost.cpp \
    148         AbcNonLinearCost.hpp Idiot.cpp Idiot.hpp IdiSolve.cpp \
    149         ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp ClpCholeskyMumps.cpp \
    150         ClpCholeskyMumps.hpp ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
     190        CoinAbcOrderedFactorization5.cpp \
     191        CoinAbcSmallFactorization1.cpp CoinAbcSmallFactorization2.cpp \
     192        CoinAbcSmallFactorization3.cpp CoinAbcSmallFactorization4.cpp \
     193        CoinAbcSmallFactorization5.cpp ClpCholeskyUfl.cpp \
     194        ClpCholeskyUfl.hpp ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp \
     195        ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
    151196        ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp
    152 @COIN_HAS_AMD_TRUE@am__objects_1 = ClpCholeskyUfl.lo
    153 @COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__objects_2 =  \
     197@COIN_HAS_ABC_TRUE@am__objects_1 = AbcDualRowDantzig.lo \
     198@COIN_HAS_ABC_TRUE@     AbcDualRowPivot.lo AbcDualRowSteepest.lo \
     199@COIN_HAS_ABC_TRUE@     AbcMatrix.lo AbcNonLinearCost.lo \
     200@COIN_HAS_ABC_TRUE@     AbcPrimalColumnDantzig.lo \
     201@COIN_HAS_ABC_TRUE@     AbcPrimalColumnPivot.lo \
     202@COIN_HAS_ABC_TRUE@     AbcPrimalColumnSteepest.lo AbcSimplex.lo \
     203@COIN_HAS_ABC_TRUE@     AbcSimplexDual.lo AbcSimplexPrimal.lo \
     204@COIN_HAS_ABC_TRUE@     AbcSimplexParallel.lo \
     205@COIN_HAS_ABC_TRUE@     AbcSimplexFactorization.lo AbcWarmStart.lo \
     206@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization1.lo \
     207@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization2.lo \
     208@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization3.lo \
     209@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization4.lo \
     210@COIN_HAS_ABC_TRUE@     CoinAbcBaseFactorization5.lo \
     211@COIN_HAS_ABC_TRUE@     CoinAbcDenseFactorization.lo \
     212@COIN_HAS_ABC_TRUE@     CoinAbcFactorization1.lo \
     213@COIN_HAS_ABC_TRUE@     CoinAbcFactorization2.lo \
     214@COIN_HAS_ABC_TRUE@     CoinAbcFactorization3.lo \
     215@COIN_HAS_ABC_TRUE@     CoinAbcFactorization4.lo \
     216@COIN_HAS_ABC_TRUE@     CoinAbcFactorization5.lo \
     217@COIN_HAS_ABC_TRUE@     CoinAbcHelperFunctions.lo \
     218@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization1.lo \
     219@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization2.lo \
     220@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization3.lo \
     221@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization4.lo \
     222@COIN_HAS_ABC_TRUE@     CoinAbcOrderedFactorization5.lo \
     223@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization1.lo \
     224@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization2.lo \
     225@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization3.lo \
     226@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization4.lo \
     227@COIN_HAS_ABC_TRUE@     CoinAbcSmallFactorization5.lo
     228@COIN_HAS_AMD_TRUE@am__objects_2 = ClpCholeskyUfl.lo
     229@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__objects_3 =  \
    154230@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@     ClpCholeskyUfl.lo
    155 @COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__objects_3 = ClpCholeskyUfl.lo
    156 @COIN_HAS_MUMPS_TRUE@am__objects_4 = ClpCholeskyMumps.lo
    157 @COIN_HAS_WSMP_TRUE@am__objects_5 = ClpCholeskyWssmp.lo \
     231@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__objects_4 = ClpCholeskyUfl.lo
     232@COIN_HAS_MUMPS_TRUE@am__objects_5 = ClpCholeskyMumps.lo
     233@COIN_HAS_WSMP_TRUE@am__objects_6 = ClpCholeskyWssmp.lo \
    158234@COIN_HAS_WSMP_TRUE@    ClpCholeskyWssmpKKT.lo
    159235am_libClp_la_OBJECTS = ClpCholeskyBase.lo ClpCholeskyDense.lo \
     
    173249        ClpQuadraticObjective.lo ClpSimplex.lo ClpSimplexDual.lo \
    174250        ClpSimplexNonlinear.lo ClpSimplexOther.lo ClpSimplexPrimal.lo \
    175         ClpSolve.lo AbcWarmStart.lo CoinAbcBaseFactorization1.lo \
    176         CoinAbcBaseFactorization2.lo CoinAbcBaseFactorization3.lo \
    177         CoinAbcBaseFactorization4.lo CoinAbcBaseFactorization5.lo \
    178         CoinAbcDenseFactorization.lo AbcDualRowDantzig.lo \
    179         AbcDualRowPivot.lo AbcDualRowSteepest.lo \
    180         CoinAbcFactorization1.lo CoinAbcFactorization2.lo \
    181         CoinAbcFactorization3.lo CoinAbcFactorization4.lo \
    182         CoinAbcFactorization5.lo CoinAbcHelperFunctions.lo \
    183         AbcMatrix.lo AbcSimplex.lo AbcSimplexDual.lo \
    184         AbcSimplexPrimal.lo AbcSimplexParallel.lo \
    185         AbcPrimalColumnDantzig.lo AbcPrimalColumnPivot.lo \
    186         AbcPrimalColumnSteepest.lo CoinAbcSmallFactorization1.lo \
    187         CoinAbcSmallFactorization2.lo CoinAbcSmallFactorization3.lo \
    188         CoinAbcSmallFactorization4.lo CoinAbcSmallFactorization5.lo \
    189         CoinAbcOrderedFactorization1.lo \
    190         CoinAbcOrderedFactorization2.lo \
    191         CoinAbcOrderedFactorization3.lo \
    192         CoinAbcOrderedFactorization4.lo \
    193         CoinAbcOrderedFactorization5.lo AbcSimplexFactorization.lo \
    194         AbcNonLinearCost.lo Idiot.lo IdiSolve.lo $(am__objects_1) \
     251        ClpSolve.lo Idiot.lo IdiSolve.lo $(am__objects_1) \
    195252        $(am__objects_2) $(am__objects_3) $(am__objects_4) \
    196         $(am__objects_5)
     253        $(am__objects_5) $(am__objects_6)
    197254libClp_la_OBJECTS = $(am_libClp_la_OBJECTS)
    198255binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
     
    244301        ClpQuadraticObjective.hpp ClpSimplex.hpp \
    245302        ClpSimplexNonlinear.hpp ClpSimplexOther.hpp ClpSimplexDual.hpp \
    246         ClpSimplexPrimal.hpp ClpSolve.hpp CbcOrClpParam.hpp \
    247         AbcSimplex.hpp CoinAbcCommon.hpp AbcCommon.hpp Idiot.hpp \
     303        ClpSimplexPrimal.hpp ClpSolve.hpp CbcOrClpParam.hpp Idiot.hpp \
     304        AbcSimplex.hpp CoinAbcCommon.hpp AbcCommon.hpp \
    248305        ClpCholeskyUfl.hpp ClpCholeskyMumps.hpp ClpCholeskyWssmp.hpp \
    249306        ClpCholeskyWssmpKKT.hpp CbcOrClpParam.cpp
     
    305362COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    306363COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
     364COIN_HAS_ABC_FALSE = @COIN_HAS_ABC_FALSE@
     365COIN_HAS_ABC_TRUE = @COIN_HAS_ABC_TRUE@
    307366COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    308367COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
     
    549608        ClpSimplexNonlinear.hpp ClpSimplexOther.cpp \
    550609        ClpSimplexOther.hpp ClpSimplexPrimal.cpp ClpSimplexPrimal.hpp \
    551         ClpSolve.cpp ClpSolve.hpp AbcWarmStart.cpp AbcWarmStart.hpp \
    552         CoinAbcBaseFactorization.hpp CoinAbcCommonFactorization.hpp \
    553         CoinAbcCommon.hpp AbcDualRowDantzig.hpp AbcDualRowPivot.hpp \
    554         AbcDualRowSteepest.hpp CoinAbcFactorization.hpp \
    555         CoinAbcHelperFunctions.hpp AbcMatrix.hpp AbcCommon.hpp \
    556         AbcSimplexDual.hpp AbcSimplexPrimal.hpp AbcSimplex.hpp \
    557         CoinAbcBaseFactorization1.cpp CoinAbcBaseFactorization2.cpp \
    558         CoinAbcBaseFactorization3.cpp CoinAbcBaseFactorization4.cpp \
    559         CoinAbcBaseFactorization5.cpp CoinAbcDenseFactorization.cpp \
    560         CoinAbcDenseFactorization.hpp AbcDualRowDantzig.cpp \
    561         AbcDualRowPivot.cpp AbcDualRowSteepest.cpp \
    562         CoinAbcFactorization1.cpp CoinAbcFactorization2.cpp \
    563         CoinAbcFactorization3.cpp CoinAbcFactorization4.cpp \
    564         CoinAbcFactorization5.cpp CoinAbcHelperFunctions.cpp \
    565         AbcMatrix.cpp AbcSimplex.cpp AbcSimplexDual.cpp \
    566         AbcSimplexPrimal.cpp AbcSimplexParallel.cpp \
    567         AbcPrimalColumnDantzig.cpp AbcPrimalColumnDantzig.hpp \
    568         AbcPrimalColumnPivot.cpp AbcPrimalColumnPivot.hpp \
    569         AbcPrimalColumnSteepest.cpp AbcPrimalColumnSteepest.hpp \
    570         CoinAbcSmallFactorization1.cpp CoinAbcSmallFactorization2.cpp \
    571         CoinAbcSmallFactorization3.cpp CoinAbcSmallFactorization4.cpp \
    572         CoinAbcSmallFactorization5.cpp \
    573         CoinAbcOrderedFactorization1.cpp \
    574         CoinAbcOrderedFactorization2.cpp \
    575         CoinAbcOrderedFactorization3.cpp \
    576         CoinAbcOrderedFactorization4.cpp \
    577         CoinAbcOrderedFactorization5.cpp AbcSimplexFactorization.cpp \
    578         AbcSimplexFactorization.hpp AbcNonLinearCost.cpp \
    579         AbcNonLinearCost.hpp Idiot.cpp Idiot.hpp IdiSolve.cpp \
     610        ClpSolve.cpp ClpSolve.hpp Idiot.cpp Idiot.hpp IdiSolve.cpp \
    580611        $(am__append_1) $(am__append_2) $(am__append_3) \
    581         $(am__append_4) $(am__append_5)
     612        $(am__append_4) $(am__append_5) $(am__append_6)
    582613
    583614# This is for libtool
     
    604635
    605636# CbcOrClpParam seem to require COIN_HAS_CLP so that it knows that it is build within Clp
    606 AM_CPPFLAGS = $(CLPLIB_CFLAGS) -DCOIN_HAS_CLP $(am__append_6) \
    607         $(am__append_7)
     637AM_CPPFLAGS = $(CLPLIB_CFLAGS) -DCOIN_HAS_CLP $(am__append_7) \
     638        $(am__append_8)
    608639
    609640# This line is necessary to allow VPATH compilation
     
    634665        ClpQuadraticObjective.hpp ClpSimplex.hpp \
    635666        ClpSimplexNonlinear.hpp ClpSimplexOther.hpp ClpSimplexDual.hpp \
    636         ClpSimplexPrimal.hpp ClpSolve.hpp CbcOrClpParam.hpp \
    637         AbcSimplex.hpp CoinAbcCommon.hpp AbcCommon.hpp Idiot.hpp \
    638         $(am__append_8) $(am__append_9) $(am__append_10) \
    639         $(am__append_11) $(am__append_12) CbcOrClpParam.cpp
     667        ClpSimplexPrimal.hpp ClpSolve.hpp CbcOrClpParam.hpp Idiot.hpp \
     668        $(am__append_9) $(am__append_10) $(am__append_11) \
     669        $(am__append_12) $(am__append_13) $(am__append_14) \
     670        CbcOrClpParam.cpp
    640671all: config.h config_clp.h
    641672        $(MAKE) $(AM_MAKEFLAGS) all-recursive
  • trunk/Clp/src/OsiClp/Makefile.in

    r1781 r1910  
    144144COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    145145COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
     146COIN_HAS_ABC_FALSE = @COIN_HAS_ABC_FALSE@
     147COIN_HAS_ABC_TRUE = @COIN_HAS_ABC_TRUE@
    146148COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    147149COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
  • trunk/Clp/src/config.h.in

    r1734 r1910  
    11/* src/config.h.in.  Generated from configure.ac by autoheader.  */
     2
     3/* Define to 1, 2, 3, or 4 if Aboca should be build. */
     4#undef CLP_HAS_ABC
    25
    36/* SVN revision number of project */
  • trunk/Clp/src/config_clp.h.in

    r1734 r1910  
    11/* src/config_clp.h.in.  */
     2
     3/* Define to 1, 2, 3, or 4 if Aboca should be build. */
     4#undef CLP_HAS_ABC
    25
    36/* Version number of project */
  • trunk/Clp/src/config_clp_default.h

    • Property svn:keywords set to Id
  • trunk/Clp/src/config_default.h

    • Property svn:keywords set to Id
  • trunk/Clp/test/Makefile.in

    r1781 r1910  
    134134COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    135135COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
     136COIN_HAS_ABC_FALSE = @COIN_HAS_ABC_FALSE@
     137COIN_HAS_ABC_TRUE = @COIN_HAS_ABC_TRUE@
    136138COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    137139COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
  • trunk/Dependencies

    r1891 r1910  
    77Data/Netlib       https://projects.coin-or.org/svn/Data/Netlib/stable/1.2
    88Data/Sample       https://projects.coin-or.org/svn/Data/Sample/stable/1.2
    9 CoinUtils         https://projects.coin-or.org/svn/CoinUtils/stable/2.8/CoinUtils
    10 Osi               https://projects.coin-or.org/svn/Osi/stable/0.105/Osi
     9CoinUtils         https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
     10Osi               https://projects.coin-or.org/svn/Osi/trunk/Osi
Note: See TracChangeset for help on using the changeset viewer.